diff a/src/hotspot/share/ci/ciInstanceKlass.hpp b/src/hotspot/share/ci/ciInstanceKlass.hpp
--- a/src/hotspot/share/ci/ciInstanceKlass.hpp
+++ b/src/hotspot/share/ci/ciInstanceKlass.hpp
@@ -290,10 +290,14 @@
   bool has_trusted_loader() const {
     return _has_trusted_loader;
   }
   GrowableArray<ciInstanceKlass*>* transitive_interfaces() const;
 
+  int hash_offset_in_bytes() const {
+    return get_instanceKlass()->hash_offset_in_bytes(nullptr, markWord(0));
+  }
+
   // Replay support
 
   // Dump the current state of this klass for compilation replay.
   virtual void dump_replay_data(outputStream* out);
 
